Package org.apache.storm.hdfs.bolt

# Class SequenceFileBolt

java.lang.Object
org.apache.storm.topology.base.BaseComponent
org.apache.storm.topology.base.BaseRichBolt
org.apache.storm.hdfs.bolt.AbstractHdfsBolt
org.apache.storm.hdfs.bolt.SequenceFileBolt

All Implemented Interfaces:
  `Serializable`, `IBolt`, `IComponent`, `IRichBolt`

public class SequenceFileBolt extends AbstractHdfsBolt

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.apache.storm.hdfs.bolt.AbstractHdfsBolt

  `collector, configKey, fileNameFormat, fileRetryCount, fs, fsUrl, hdfsConfig, maxOpenFiles, offset, partitioner, rotationActions, rotationCounterMap, rotationPolicy, rotationTimer, syncPolicy, tickTupleInterval, writeLock, writers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SequenceFileBolt()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SequenceFileBolt`
  `addRotationAction(RotationAction action)`
  `void`
  `doPrepare(Map<String,Object> conf, TopologyContext topologyContext, OutputCollector collector)`
  `protected String`
  `getWriterKey(Tuple tuple)`
  `protected AbstractHDFSWriter`
  `makeNewWriter(org.apache.hadoop.fs.Path path, Tuple tuple)`
  `SequenceFileBolt`
  `withCompressionCodec(String codec)`
  `SequenceFileBolt`
  `withCompressionType(org.apache.hadoop.io.SequenceFile.CompressionType compressionType)`
  `SequenceFileBolt`
  `withConfigKey(String configKey)`
  `SequenceFileBolt`
  `withFileNameFormat(FileNameFormat fileNameFormat)`
  `SequenceFileBolt`
  `withFsUrl(String fsUrl)`
  `SequenceFileBolt`
  `withMaxOpenFiles(int maxOpenFiles)`
  `SequenceFileBolt`
  `withPartitioner(Partitioner partitioner)`
  `SequenceFileBolt`
  `withRetryCount(int fileRetryCount)`
  `SequenceFileBolt`
  `withRotationPolicy(FileRotationPolicy rotationPolicy)`
  `SequenceFileBolt`
  `withSequenceFormat(SequenceFormat format)`
  `SequenceFileBolt`
  `withSyncPolicy(SyncPolicy syncPolicy)`
  `SequenceFileBolt`
  `withTickTupleIntervalSeconds(int interval)`

  ### Methods inherited from class org.apache.storm.hdfs.bolt.AbstractHdfsBolt

  `cleanup, declareOutputFields, execute, getBasePathForNextFile, getComponentConfiguration, prepare, rotateOutputFile`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SequenceFileBolt

    public SequenceFileBolt()

- ## Method Details

  - ### withCompressionCodec

    public SequenceFileBolt withCompressionCodec(String codec)

  - ### withFsUrl

    public SequenceFileBolt withFsUrl(String fsUrl)

  - ### withConfigKey

    public SequenceFileBolt withConfigKey(String configKey)

  - ### withFileNameFormat

    public SequenceFileBolt withFileNameFormat(FileNameFormat fileNameFormat)

  - ### withSequenceFormat

    public SequenceFileBolt withSequenceFormat(SequenceFormat format)

  - ### withSyncPolicy

    public SequenceFileBolt withSyncPolicy(SyncPolicy syncPolicy)

  - ### withRotationPolicy

    public SequenceFileBolt withRotationPolicy(FileRotationPolicy rotationPolicy)

  - ### withCompressionType

    public SequenceFileBolt withCompressionType(org.apache.hadoop.io.SequenceFile.CompressionType compressionType)

  - ### withTickTupleIntervalSeconds

    public SequenceFileBolt withTickTupleIntervalSeconds(int interval)

  - ### addRotationAction

    public SequenceFileBolt addRotationAction(RotationAction action)

  - ### withRetryCount

    public SequenceFileBolt withRetryCount(int fileRetryCount)

  - ### withPartitioner

    public SequenceFileBolt withPartitioner(Partitioner partitioner)

  - ### withMaxOpenFiles

    public SequenceFileBolt withMaxOpenFiles(int maxOpenFiles)

  - ### doPrepare

    public void doPrepare(Map<String,Object> conf, TopologyContext topologyContext, OutputCollector collector) throws IOException
    Specified by:
      `doPrepare` in class `AbstractHdfsBolt`
    Throws:
      `IOException`

  - ### getWriterKey

    protected String getWriterKey(Tuple tuple)
    Specified by:
      `getWriterKey` in class `AbstractHdfsBolt`

  - ### makeNewWriter

    protected AbstractHDFSWriter makeNewWriter(org.apache.hadoop.fs.Path path, Tuple tuple) throws IOException
    Specified by:
      `makeNewWriter` in class `AbstractHdfsBolt`
    Throws:
      `IOException`